## org.eclipse.jst.pagedesigner.dtmanager.converter.operations
Class AbstractTransformOperation

    java.lang.Object
      org.eclipse.jst.pagedesigner.dtmanager.converter.operations.AbstractTransformOperation

All Implemented Interfaces:
  ITransformOperation

    public abstract class AbstractTransformOperation

extends java.lang.Object
implements ITransformOperation

Abstract ITransformOperation implementation. Maintains ITagConverterContext instance and collection of child ITransformOperation instances.

Provisional API - subject to change

Constructor Summary
`AbstractTransformOperation()` Zero-argument constructor

Method Summary
`void` `appendChildOperation(ITransformOperation operation)` Appends a child ITransformOperation instance.
`java.util.List` `getChildOperations()` Gets collection of child ITransformOperation instances.
`void` `setTagConverterContext(ITagConverterContext tagConverterContext)` Sets the ITagConverterContext instance allowing access to context and functionality of the current ITagConverter instance.
`abstract org.w3c.dom.Element` `transform(org.w3c.dom.Element srcElement, org.w3c.dom.Element curElement)` Transforms an input element instance to an output Element instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTransformOperation

    public AbstractTransformOperation()

  Zero-argument constructor

Method Detail

### transform

    public abstract org.w3c.dom.Element transform(org.w3c.dom.Element srcElement,
                                                  org.w3c.dom.Element curElement)

  Description copied from interface: `ITransformOperation`
  Transforms an input element instance to an output Element instance.

  Specified by:
    `transform` in interface `ITransformOperation`
  Parameters:
    `srcElement` - Original input Element instance.
    `curElement` - Current Element instance.
  Returns:
    Resulting transformed Element instance.

### setTagConverterContext

    public void setTagConverterContext(ITagConverterContext tagConverterContext)

  Description copied from interface: `ITransformOperation`
  Sets the ITagConverterContext instance allowing access to context and functionality of the current ITagConverter instance.

  Specified by:
    `setTagConverterContext` in interface `ITransformOperation`
  Parameters:
    `tagConverterContext` - ITagConverterContext instance allowing access to context and functionality of the current ITagConverter instance.

### appendChildOperation

    public void appendChildOperation(ITransformOperation operation)

  Description copied from interface: `ITransformOperation`
  Appends a child ITransformOperation instance.

  Specified by:
    `appendChildOperation` in interface `ITransformOperation`
  Parameters:
    `operation` - Child ITransformOperation instance to be appended.

### getChildOperations

    public java.util.List getChildOperations()

  Description copied from interface: `ITransformOperation`
  Gets collection of child ITransformOperation instances.

  Specified by:
    `getChildOperations` in interface `ITransformOperation`
  Returns:
    Collection of child ITransformOperation instances (may be null).